Bug 612379 - USB keyboard start auto-repeat too fast with BIOS driver
Summary: USB keyboard start auto-repeat too fast with BIOS driver
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: seabios (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
low
Target Milestone: beta
: ---
Assignee: Gleb Natapov
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 580953
TreeView+ depends on / blocked
 
Reported: 2010-07-08 03:16 UTC by Joy Pu
Modified: 2013-12-09 00:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-09 09:30:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joy Pu 2010-07-08 03:16:27 UTC
Description of problem:
the virtual USB keyboard of qemu doesn't work as expected in grub in Fedora. auto-repeat will start in a very short time in grub. So people only can type extremely fast in grub, or the keys will repeat.

Version-Release number of selected component (if applicable):
seabios-0.5.1-2.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Boot up a Fedaora guest 
2. Go into grub command line
3. Tpye something

Actual results:
You will find if you type in normal speed, the keys will start repeat.  

Expected results:
People can type in grub normally

Additional info:
1. commands:
#qemu-kvm -hda /root/fedora.qcow2 -m 2048 -vnc :1 -device piix3-usb-uhci
-device usb-kbd 
2. kernel version
host kernel:  2.6.32-25.el6.x86_64
guest: 2.6.33.3-85.fc13.i686

Comment 2 RHEL Product and Program Management 2010-07-15 14:50:17 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 6 Gleb Natapov 2011-05-30 15:18:03 UTC
Retest with rhel6.1. The bios was rebased there to newer version.

Comment 7 Joy Pu 2011-06-09 08:48:28 UTC
Tested with seabios-0.6.1.2-3.el6.x86_64. Can not hit this problem again. The use keyboard works well.

Comment 8 Gleb Natapov 2011-06-09 09:30:06 UTC
Closing based on comment #7.


Note You need to log in before you can comment on or make changes to this bug.